package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopMessageRemoteController;
import edu.travel.remote.dto.MessageDto;
import edu.travel.remote.dto.SaveMessageDto;
import edu.travel.remote.vo.MessageVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

@Component
public class ShopMessageAdapter {
    @Autowired
    private ShopMessageRemoteController shopMessageRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<Page<MessageVo>> getMessage(@SpringQueryMap MessageDto messageDto){
        return shopMessageRemoteController.getMessage(messageDto);
    }

    @AdapterAnnotation
    public RPCBaseResponse<Boolean> savaMessage(@RequestBody SaveMessageDto params){
        return shopMessageRemoteController.savaMessage(params);
    }

}
