package edu.travel.adapter.service.commodity;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopProductSkuRemoteController;
import edu.travel.remote.dto.AddShopOrderDto;
import edu.travel.remote.dto.PayShopOrderDto;
import edu.travel.remote.vo.ShopSkuSpecValueVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Component
public class ShopProductSkuAdapter {
    @Autowired
    private ShopProductSkuRemoteController shopProductSkuRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<Map<String, List<ShopSkuSpecValueVo>>> getSkuValuesById(Set<String> skuId){
        return shopProductSkuRemoteController.getSkuValuesById(skuId);
    }

    /**
     *  商品下单
     * @param params
     * @return {@link RPCBaseResponse }<{@link String }>
     */

    @AdapterAnnotation
    public RPCBaseResponse<Void> shopProductSku(AddShopOrderDto params){
        return shopProductSkuRemoteController.shopProductSku(params);
    }

    /**
     *  支付商品订单
     * @param payShopOrderDto
     * @return {@link RPCBaseResponse }<{@link String }>
     */

    @AdapterAnnotation
    public RPCBaseResponse<Void> payProductSku(PayShopOrderDto payShopOrderDto){
        return shopProductSkuRemoteController.payProductSku(payShopOrderDto);
    }
}
