package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopReviewRemoteController;
import edu.travel.remote.dto.AddReviewDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.dto.ShopReviewDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopReviewVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


@Component
public class ShopReviewAdapter {
    @Autowired
    private ShopReviewRemoteController shopReviewRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<Page<ShopReviewVo>> getShopReview(ProductSpecDto params) {
        return shopReviewRemoteController.getShopReview(params);
    }

    /**
     * 发表评论
     *
     * @param params
     * @return {@link RPCBaseResponse }<{@link String }>
     */
    @AdapterAnnotation
    public RPCBaseResponse<String> addReview(@RequestBody AddReviewDto params) {
        return shopReviewRemoteController.addReview(params);
    }

    /**
     * 上传评论图片
     */
    @AdapterAnnotation
    public RPCBaseResponse<FileWebVo> uploadReviewImage(MultipartFile file) {
        return shopReviewRemoteController.uploadReviewImage(file);
    }


    @AdapterAnnotation
    public RPCBaseResponse<String> uploadReviewImages(List<MultipartFile> files) {
        return shopReviewRemoteController.uploadReviewImages(files);
    }


    @AdapterAnnotation
    public RPCBaseResponse<ShopReviewVo> getFormId(String id) {
        return shopReviewRemoteController.getFormId(id);
    }


    @AdapterAnnotation
    public RPCBaseResponse<ShopReviewVo> updateTargetFormId(ShopReviewDto entity) {
        return shopReviewRemoteController.updateTargetFormId(entity);
    }

    @AdapterAnnotation
    public RPCBaseResponse<ShopReviewVo> saveFormTarget(ShopReviewDto entity) {
        return shopReviewRemoteController.updateTargetFormId(entity);
    }


    @AdapterAnnotation
    public RPCBaseResponse<ShopReviewVo> deleteTargetFormId(List<String> ids) {
        return shopReviewRemoteController.deleteTargetFormId(ids);
    }


    @AdapterAnnotation
    public RPCBaseResponse<List<ShopReviewVo>> getAllForm() {
        return shopReviewRemoteController.getAllForm();
    }
}
