package edu.travel.adapter.service.commodity;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopUserSessionRemoteController;
import edu.travel.remote.vo.ShopUserSessionVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ShopUserSessionAdapter {
    @Autowired
    private ShopUserSessionRemoteController shopUserSessionRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<ShopUserSessionVo> getUserSession(){
        return shopUserSessionRemoteController.getUserSession();
    }

    @AdapterAnnotation
    public RPCBaseResponse<ShopUserSessionVo> getSessionInfo(String sessionId){
        return shopUserSessionRemoteController.getSessionInfo(sessionId);
    }

}
