package edu.travel.adapter.service.order;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.dto.AddOrderDto;
import edu.travel.remote.order.ShopOrderRemoteController;
import edu.travel.remote.vo.ShopOrderVo;
import edu.travel.remote.vo.ShowOrderInfoVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class OrderAdapter {
    @Autowired
    private ShopOrderRemoteController shopOrderRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<Void> addShopOrder(AddOrderDto params) {
       return shopOrderRemoteController.addShopOrder(params);
    }

    @AdapterAnnotation
    public RPCBaseResponse<ShowOrderInfoVo> orderInfoByOrderNum(String orderNum) {
        return shopOrderRemoteController.orderInfoByOrderNum(orderNum);
    }
    @AdapterAnnotation
    public RPCBaseResponse<Void> changeOrderState(String orderNum,String state) {
        return shopOrderRemoteController.changeOrderState(orderNum,state);
    }
    @AdapterAnnotation
    public RPCBaseResponse<ShopOrderVo> getFormId(String orderId) {
        return shopOrderRemoteController.getFormId(orderId);
    }
}
