package edu.travel.adapter.service.tenant;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.feign.mode.vo.tenant.EduTenantVo;
import edu.travel.remote.feign.mode.vo.tenant.SysRoleVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.tenant.TenantRemoteController;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

import javax.annotation.Resource;
import java.util.List;
import java.util.Set;

@Component
public class TenantAdapter {
    @Resource
    private TenantRemoteController tenantRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<EduTenantVo> getTenantById(Long id) {
        return tenantRemoteController.getTenantById(id);
    }
    /**
     * 根据用户id获取用户角色列表(未分页)
     */
    @AdapterAnnotation
    public BaseResponse<List<SysRoleVo>> getRoleListByUserId(String userId){
        return tenantRemoteController.getRoleListByUserId(userId);
    };
    /**
     * 通过id查询商城用户信息
     */
    @AdapterAnnotation
    public RPCBaseResponse<List<EduTenantVo>> getTenantByIds(Set<String> id) {
        return tenantRemoteController.getTenantByIds(id);
    }
}
