package edu.travel.adapter.service.upload;

import com.alibaba.fastjson.JSON;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.upload.UploadRemoteController;
import edu.travel.remote.upload.dto.EduFileBlobDTO;
import edu.travel.remote.upload.dto.EduFileDTO;
import edu.travel.remote.upload.vo.EduFileVo;
import edu.travel.remote.upload.vo.FileVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

@Component
public class UploadAdapter  {
    @Autowired
    private UploadRemoteController uploadRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<String> initializeUpload(){
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.initializeUpload();
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse exitsFile(String md5) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.exitsFile(md5);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse exitsBlob(String md5) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.exitsBlob(md5);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse uploadBigFile(EduFileBlobDTO dto, MultipartFile file) throws IOException {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.uploadBigFile(dto,file);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse mergeFile(EduFileDTO eduFileDTO) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.mergeFile(eduFileDTO);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse uploadFile(EduFileDTO eduFileDTO,MultipartFile file) throws IOException {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.uploadFile(JSON.toJSONString(eduFileDTO),file);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse<FileVo> uploadFilePath(EduFileDTO eduFileDTO, MultipartFile file) throws IOException {
        return uploadRemoteController.uploadFilePath(JSON.toJSONString(eduFileDTO),file);
    }
    @AdapterAnnotation
    public RPCBaseResponse<EduFileVo> getFormId(@RequestParam("id") String id) {
        return uploadRemoteController.getFormId(id);
    }
    @AdapterAnnotation
    public RPCBaseResponse<EduFileVo> updateTargetFormId(EduFileDTO entity) {
        return uploadRemoteController.updateTargetFormId(entity);
    }
    @AdapterAnnotation
    public RPCBaseResponse<EduFileVo> saveFormTarget(EduFileDTO entity) {
        return uploadRemoteController.saveFormTarget(entity);
    }
    @AdapterAnnotation
    public RPCBaseResponse<EduFileVo> deleteTargetFormId(List<String> ids) {
        return uploadRemoteController.deleteTargetFormId(ids);
    }
    @AdapterAnnotation
    public RPCBaseResponse<List<EduFileVo>> getAllForm() {
        return uploadRemoteController.getAllForm();
    }
}
