package edu.travel.controller;

import edu.travel.adapter.service.commodity.ShopCategoryAdapter;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.ShopTypeDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopTypeVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 商品类型(shop_category)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopCategory")
public class ShopCategoryController {

    @Autowired
    private ShopCategoryAdapter shopCategoryAdapter;

    /**
     * 获取商品类型
     *
     * @return {@link BaseResponse }<{@link ShopTypeVo }>
     */
    @GetMapping("/getShopType")
    public RPCBaseResponse<List<ShopTypeVo>> getShopType(ShopTypeDto param){
        return shopCategoryAdapter.getShopType(param);
    }

    /**
     * 获取二级热门商品类型
     *
     * @return {@link BaseResponse }<{@link ShopTypeVo }>
     */
    @GetMapping("/getLevelToShopType")
    public RPCBaseResponse<List<ShopTypeVo>> getLevelToShopType(BaseDto param){
        return shopCategoryAdapter.getLevelToShopType(param);
    }

    /**
     * icon上传
     */
    @PostMapping("/uploadIcon")
    public RPCBaseResponse<FileWebVo> uploadIcon(MultipartFile file) {
        return shopCategoryAdapter.uploadIcon(file);
    }

}
