package edu.travel.controller;

import edu.travel.adapter.service.commodity.ShopProductSkuAdapter;
import edu.travel.remote.dto.AddShopOrderDto;
import edu.travel.remote.dto.PayShopOrderDto;
import edu.travel.remote.vo.ShopSkuSpecValueVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 商品SKU表(shop_product_sku)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopProductSku")
public class ShopProductSkuController {
    @Autowired
    private ShopProductSkuAdapter shopProductSkuAdapter;
    /**
     *  通过sku查询sku规格值
     * @param skuId
     * @return {@link RPCBaseResponse }<{@link Map }<{@link String }, {@link List }<{@link ShopSkuSpecValueVo }>>>
     */

    @GetMapping("/getSkuValuesById")
    public RPCBaseResponse<Map<String, List<ShopSkuSpecValueVo>>> getSkuValuesById(@RequestParam("skuId") Set<String> skuId){
        return shopProductSkuAdapter.getSkuValuesById(skuId);
    }

    /**
     *  商品下单
     * @param params
     * @return {@link RPCBaseResponse }<{@link String }>
     */

    @PostMapping("/shopProductSku")
    public RPCBaseResponse<Void> shopProductSku(@RequestBody AddShopOrderDto params){
        return shopProductSkuAdapter.shopProductSku(params);
    }

    /**
     *  支付商品订单
     * @param payShopOrderDto
     * @return {@link RPCBaseResponse }<{@link String }>
     */

    @PostMapping("/payProductSku")
    public RPCBaseResponse<Void> payProductSku(@RequestBody PayShopOrderDto payShopOrderDto){
        return shopProductSkuAdapter.payProductSku(payShopOrderDto);
    }

}
