package edu.travel.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.service.commodity.ShopSearchRecordsAdapter;
import edu.travel.remote.dto.SearchRecordListDto;
import edu.travel.remote.vo.SearchRecordsVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * 列表搜索记录表(shop_search_records)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopSearchRecords")
public class ShopSearchRecordsController {
    @Autowired
    private ShopSearchRecordsAdapter shopSearchRecordsAdapter;
    /**
     * 清空历史搜索记录（searchType:1）
     * @return 结果
     */
    @PostMapping("/clearSearchRecord")
    public RPCBaseResponse<Void> clearProjectSearchRecords(@RequestBody SearchRecordListDto clear){
        return shopSearchRecordsAdapter.clearProjectSearchRecords(clear);
    }


    /**
     * 获取搜索记录列表
     * @param baseDto 参数DTO对象
     * @return 结果
     */
    @GetMapping("/searchRecordList")
    public RPCBaseResponse<Page<SearchRecordsVo>> searchRecordList(SearchRecordListDto baseDto){
        return shopSearchRecordsAdapter.searchRecordList(baseDto);
    }

}
