package edu.travel.controller;

import edu.travel.adapter.service.commodity.ShopUserSessionAdapter;
import edu.travel.remote.vo.ShopUserSessionVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户客服关联(shop_user_session)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopUserSession")
public class ShopUserSessionController {
    @Autowired
    private ShopUserSessionAdapter shopUserSessionAdapter;
    /**
     *  获取用户客服关联
     * @param
     * @return {@link RPCBaseResponse }<{@link String }>
     */

    @GetMapping("/getUserSession")
    public RPCBaseResponse<ShopUserSessionVo> getUserSession()
    {
        return shopUserSessionAdapter.getUserSession();
    }

    /**
     *  获取会话详情
     * @param sessionId
     * @return {@link RPCBaseResponse }<{@link ShopUserSessionVo }>
     */

    @GetMapping("/getSessionInfo")
    public RPCBaseResponse<ShopUserSessionVo> getSessionInfo(@RequestParam("sessionId") String sessionId){
        return shopUserSessionAdapter.getSessionInfo(sessionId);
    }
}
