package edu.travel.remote.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品类型
 */
@Data
public class ShopCategoryDto extends PagePO {
    /**
     * 商品类型ID
     */
    private Long id;

    /**
     * 父级分类ID(0表示顶级分类)
     */
    private Long parentId;
    /**
     * iconID(上传方法返回值）
     */
    private String iconId;

    /**
     * 国家ID
     */
    private String countryId;

    /**
     * 热度值
     */
    private Integer heatValue;

    /**
     * 仓库ID
     */
    private Long warehouseId;

    /**
     * 分类名称
     */
    private String typeName;

    /**
     * 分类图标/封面图
     */
    private String imageUrl;

    /**
     * 排序权重（数值越大越靠前）
     */
    private Integer sortOrder;

    /**
     * 是否启用 0 是 1否
     */
    private Integer enable;

}