package edu.travel.remote.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 意见类型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_opinion_type")
public class ShopOpinionTypeDto extends PagePO {
    /**
     * 意见类型ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 类型名
     */
    @TableField(value = "type_name")
    private String typeName;

    /**
     * 类型描述
     */
    @TableField(value = "type_description")
    private String typeDescription;

    /**
     * 状态 0启用 1禁用
     */
    @TableField(value = "status")
    private String status;

    /**
     * 其他类型（用户填写）
     */
    @TableField(value = "other_type")
    private String otherType;

    /**
     * 语言id
     */
    @TableField(value = "language_id")
    private String languageId;

}