package edu.travel.remote.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品评论表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_review")
public class ShopReviewDto extends PagePO {
    /**
     * 商品评论表ID
     */
    private Long id;

    /**
     * 父级ID、0为一级评论
     */
    private Long parentId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 订单号
     */
    private Long orderId;
    /**
     * SKU
     */
    private Long skuId;

    /**
     * 评级
     */
    private Integer rating;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 评论图片
     */
    private String image;

    /**
     * 是否置顶
     */
    private String isTop;

    /**
     * sku详情
     */
    private String skuDetails;

}