package edu.travel.remote.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 规格值表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_spec_value")
public class ShopSpecValueDto extends PagePO {
    /**
     * 规格值表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 商品规格关联ID
     */
    @TableField(value = "product_spec_id")
    private Long productSpecId;

    /**
     * 规格值
     */
    @TableField(value = "spec_value")
    private String specValue;

    /**
     * 权重
     */
    @TableField(value = "sort_order")
    private String sortOrder;


}