package edu.travel.remote.feign.mode.romote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.feign.mode.dto.tenant.BannerDto;
import edu.travel.remote.feign.mode.vo.banner.BannerVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

import static edu.travel.rpc.RPCBaseResponse.success;

@FeignClient(path = "/shopBanner", name = "tenant-dev")
public interface ShopBannerRemoteController extends RemoteBaseController<BannerVo, BannerDto> {
    @GetMapping("/getBanner")
    public RPCBaseResponse<List<BannerVo>> getBanner(BannerDto banner);
    @GetMapping("/getBannerAllPage")
    public RPCBaseResponse<IPage<BannerVo>> getBannerAllPage(BannerDto banner);
    @PostMapping("/saveBannerCountry")
    public RPCBaseResponse<BannerVo> saveBannerCountry (BannerDto banner);
    @PostMapping("/updateBannerCountry")
    public RPCBaseResponse<BannerVo> updateBannerCountry(BannerDto banner);
    @PostMapping("/uploadBannerImage")
    public RPCBaseResponse<String> uploadBannerImage(MultipartFile file);
    }
