package edu.travel.vo;

import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 库房表
 */
@Data
public class ShopWarehouseVo extends BaseEntity {
    /**
     * 库房表ID
     */
    private Long id;

    /**
     * 0是总仓
     */
    private Long parentId;

    /**
     * 库房名称
     */
    private String warehouseName;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 维度
     */
    private String latitude;

    /**
     * 国家ID
     */
    private String countryServeId;

    /**
     * 库房详细地址
     */
    private String detailedAddress;

    /**
     * '启用禁用 0 启用 1禁用'
     */
    private Integer status;

    /**
     * 系统标识
     */
    private String project;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人id
     */
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    private Integer deleteFlag;
    /**
     * map
     */
    private Map<String, Object> map;
    /**
     * 子集
     */
    private List<ShopWarehouseVo> children; // 新增字段
}