package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.util.Map;

import edu.travel.annotation.LinkOne;
import edu.travel.commodity.mapper.ShopProductMapper;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 收藏表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_favorite")
public class ShopFavorite extends BaseEntity {
    /**
     * 收藏表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 产品ID
     */
    @TableField(value = "product_id")
    private Long productId;

    @TableField(exist = false)
    @LinkOne(linkField="productId",linkMapper= ShopProductMapper.class,linkPrimaryField="id")
    private Map<String,Object> productIdMap;
}