package edu.travel.commodity.web;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.service.ShopMessageService;
import edu.travel.remote.commodity.ShopMessageRemoteController;
import edu.travel.remote.dto.MessageDto;
import edu.travel.remote.dto.SaveMessageDto;
import edu.travel.remote.vo.MessageVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商城消息表(shop_message)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopMessage")
public class ShopMessageController implements ShopMessageRemoteController {
/**
* 服务对象
*/
    @Autowired
    private ShopMessageService shopMessageService;

    /**
     *  获取消息记录
     * @param messageDto
     * @return {@link RPCBaseResponse }<{@link Page }<{@link MessageVo }>>
     */
    @GetMapping("/getMessage")
    public RPCBaseResponse<Page<MessageVo>> getMessage(MessageDto messageDto){
        return RPCBaseResponse.success(shopMessageService.getMessage(messageDto));
    }

    /**
     * 保存消息
     * @param params
     * @return
     */
    @PostMapping("/savaMessage")
    public RPCBaseResponse<Boolean> savaMessage(@RequestBody SaveMessageDto params){
        return RPCBaseResponse.success(shopMessageService.savaMessage(params));
    }


}
