package edu.travel.country.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import edu.travel.annotation.LinkOne;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * 货币表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_currency")
public class ShopCurrency extends BaseEntity {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 货币名称_en
     */
    @TableField(value = "currency_name_en")
    private String currencyNameEn;

    /**
     * 货币名称_zh
     */
    @TableField(value = "currency_name_zh")
    private String currencyNameZh;

    /**
     * 货币代码
     */
    @TableField(value = "currency_code")
    private String currencyCode;

    /**
     * 货币符号
     * */
    @TableField(value = "currency_symbol")
    private String currencySymbol;
    /**
     * 货币单位
     * */
    @TableField(value = "currency_unit")
    private String currencyUnit;

    /**
     * 状态 -0启用  -1禁用
     * */
    @TableField(value = "status")
    private Integer status;

}