package edu.travel.country.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 语言表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_language")
public class ShopLanguage extends BaseEntity {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 中文语言名
     */
    @TableField(value = "language_name_zh")
    private String languageNameZh;

    /**
     * 英文语言名
     */
    @TableField(value = "language_name_en")
    private String languageNameEn;

    /**
     * 当地语言名
     */
    @TableField(value = "language_name_local")
    private String languageNameLocal;

    /**
     * web前端状态 0未完成 1完成
     */
    @TableField(value = "web_status")
    private Integer webStatus;

    /**
     * 移动端状态 0未完成 1完成
     */
    @TableField(value = "mobile_status")
    private Integer mobileStatus;

    /**
     * web后端状态 0未完成 1完成
     */
    @TableField(value = "web_backend_status")
    private Integer webBackendStatus;

}