package edu.travel.order.controller;

import edu.travel.order.entity.ShopOrderTypeChange;
import edu.travel.order.service.ShopOrderTypeChangeService;
import edu.travel.remote.dto.AddOrderLogDto;
import edu.travel.remote.order.ShopOrderTypeChangeRemoteController;
import edu.travel.remote.vo.OrderStateVo;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.web.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static edu.travel.rpc.RPCBaseResponse.success;

@RestController
@RequestMapping("/shopOrderTypeChange")
public class ShopOrderTypeChangeController extends BaseController<ShopOrderTypeChange> implements ShopOrderTypeChangeRemoteController {
    @Autowired
    private ShopOrderTypeChangeService shopOrderTypeChangeService;


    /**
     *  新增订单日志
     * @param params
     * @return {@link RPCBaseResponse }<{@link Void }>
     */
    @Override
    @PostMapping("/addOrderLog")
    public RPCBaseResponse<Void> addOrderLog(@RequestBody AddOrderLogDto params) {
        shopOrderTypeChangeService.addOrderLog(params);
        return success();
    }

    /**
     *  查询订单状态流程
     * @param orderNum
     * @return {@link RPCBaseResponse }<{@link Void }>
     */
    @GetMapping("/getOrderStateByOrderNum")
    public RPCBaseResponse<List<OrderStateVo>> getOrderStateByOrderNum(@RequestParam("orderNum") String orderNum) {
        return success(shopOrderTypeChangeService.getOrderStateByOrderNum(orderNum));
    }

}
