package edu.travel.order.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订单表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_order")
public class ShopOrder extends BaseEntity {
    /**
     * 订单表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 仓库ID
     */
    @TableField(value = "warehouse_id")
    private Long warehouseId;

    /**
     * 订单备注
     */
    @TableField(value = "order_remark")
    private String orderRemark;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 服务费id
     */
    @TableField(value = "service_charge_id")
    private Long serviceChargeId;

    /**
     * 服务费比率
     */
    @TableField(value = "service_charge_value")
    private BigDecimal serviceChargeValue;

    /**
     * 支付方式id
     */
    @TableField(value = "pay_id")
    private Long payId;

    /**
     * 支付方法值
     */
    @TableField(value = "pay_way_value")
    private String payWayValue;

    /**
     * 用户ID
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 收货地址
     */
    @TableField(value = "address_id")
    private Long addressId;

    /**
     * 收货地址
     */
    @TableField(value = "address")
    private String address;
    /**
     * 订单号
     */
    @TableField(value = "order_number")
    private String orderNumber;

    /**
     * 累计金额
     */
    @TableField(value = "total_amount")
    private BigDecimal totalAmount;

    /**
     * 货币
     */
    @TableField(value = "currency_id")
    private Long currencyId;
    /**
     * 货币
     */
    @TableField(value = "currency")
    private String currency;
    /**
     * 汇率
     */
    @TableField(value = "exchange_rate")
    private BigDecimal exchangeRate;

    /**
     * 0待付款, 1已下单, 2待发货,3待收货,4待评价,5已完成,6已取消
     */
    @TableField(value = "`status`")
    private Integer status;

    /**
     * 支付时间
     */
    @TableField(value = "payment_time")
    private Date paymentTime;

    /**
     * 优惠券抵扣金额
     */
    @TableField(value = "coupon_discount")
    private BigDecimal couponDiscount;

    /**
     * 平台优惠券ID
     */
    @TableField(value = "global_coupon_id")
    private String globalCouponId;

}