package edu.travel.upload.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.entity.EduTenantPO;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.upload.entity.EduFileBlob;
import edu.travel.upload.mapper.EduFileBlobMapper;
import edu.travel.upload.service.EduFileBlobService;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Service;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

@Service
public class EduFileBlobServiceImpl extends ServiceImpl<EduFileBlobMapper, EduFileBlob> implements EduFileBlobService {
    @Override
    public RPCBaseResponse<List<Integer>> exitsBlob(String md5) {
        List<EduFileBlob> list = list(new LambdaQueryWrapper<EduFileBlob>().eq(EduFileBlob::getFileMd5, md5));
        Set<Integer> blobNums = list.stream().map(EduFileBlob::getBlobNum).collect(Collectors.toSet());
        List<Integer> integerArrayList = new ArrayList<>(blobNums);
        return RPCBaseResponse.success(integerArrayList);
    }
}
