package edu.travel.warehouse.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 库房表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_warehouse")
public class ShopWarehouse extends BaseEntity {
    /**
     * 库房表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 0是总仓
     */
    @TableField(value = "parent_id")
    private Long parentId;

    /**
     * 库房名称
     */
    @TableField(value = "warehouse_name")
    private String warehouseName;

    /**
     * 经度
     */
    @TableField(value = "longitude")
    private String longitude;

    /**
     * 维度
     */
    @TableField(value = "latitude")
    private String latitude;

    /**
     * 国家ID
     */
    @TableField(value = "country_serve_id")
    private String countryServeId;

    /**
     * 库房详细地址
     */
    @TableField(value = "detailed_address")
    private String detailedAddress;

    /**
     * '启用禁用 0 启用 1禁用'
     */
    @TableField(value = "status")
    private Integer status;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}